Bug 1369522 - rct cat-manifest is not bash-completing new option --no-content
Summary: rct cat-manifest is not bash-completing new option --no-content
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Kevin Howell
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-23 15:58 UTC by John Sefler
Modified: 2016-11-03 20:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:31:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1476 None None None 2016-09-06 13:13:33 UTC
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-08-23 15:58:01 UTC
Description of problem:
Introduced by RFE Bug 1336883 is a new command line option "--no-content" for the rct cat-manifest.

Bash-completion is failing to find this new option.


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q --whatprovides `which rct`
subscription-manager-1.17.10-1.el7.x86_64
[root@jsefler-rhel7 ~]# rpm -q bash-completion
bash-completion-2.1-6.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# rct cat-manifest --help 
Usage: rct cat-manifest [OPTIONS] MANIFEST_FILE

Print manifest information

Options:
  -h, --help    show this help message and exit
  --no-content  skip printing Content Sets

  ^^^^^^^^^^^^ NOTICE THIS NEW OPTION, IT SHOULD bash complete...

[root@jsefler-rhel7 ~]# rct cat-manifest -<TAB><TAB>
-h      --help  


Actual results:
-h      --help  

Expected results:
-h      --help     --no-content

Comment 2 Rehana 2016-09-08 07:03:09 UTC
Retested with;

subscription-manager-1.17.14-1.el7.x86_64
subscription-manager-gui-1.17.14-1.el7.x86_64
subscription-manager-migration-data-2.0.31-1.el7.noarch
subscription-manager-migration-1.17.14-1.el7.x86_64
subscription-manager-initial-setup-addon-1.17.14-1.el7.x86_64
python-rhsm-certificates-1.17.9-1.el7.x86_64
python-rhsm-1.17.9-1.el7.x86_64

observed that now rct cat-manifest -<TAB><TAB> is providing bash-completion for the new option  '--no-content'

[root@localhost test]# rct cat-manifest -<TAB><TAB>
-h            --help        --no-content  

Marking as Verified!!

Comment 4 errata-xmlrpc 2016-11-03 20:31:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.